import getRealationList from '../relations/relation.factory';
import getAuthorList from '../authors/author.factory';

const getDefaultProps = (template, count) => ({
  relations: { [template]: getRealationList({ template, count }) },
  ribbons: {
    1: { id: 1, label: 'Ribbon Label 1', language_id: 1, site_id: 1 },
    2: { id: 2, label: 'Ribbon Label 2', language_id: 2, site_id: 1 },
  },
  authors: getAuthorList({ count }),
  page_styles: {
    1: {
      style: 'Test Style',
    },
  },
});

export default function getData({ template, count = 10, ...customProps } = {}) {
  return {
    ...getDefaultProps(template, count),
    ...customProps,
  };
}
